*** ./doc/src/sgml/ref/grant.sgml.orig	Fri Mar 12 09:48:01 2004
--- ./doc/src/sgml/ref/grant.sgml	Fri Mar 12 09:59:18 2004
***************
*** 285,294 ****
  <programlisting>
  => \z mytable
  
!         Access privileges for database "lusitania"
!  Schema |  Table  |           Access privileges
! --------+---------+---------------------------------------
!  public | mytable | {=r/postgres,miriam=arwdRxt/postgres,"group todos=arw/postgres"}
  (1 row)
  </programlisting>
      The entries shown by <command>\z</command> are interpreted thus:
--- 285,294 ----
  <programlisting>
  => \z mytable
  
!                         Access privileges for database "lusitania"
!  Schema |  Name   | Type  |          Access privileges
! --------+---------+-------+-----------------------------------------------------------------
!  public | mytable | table | {=r/postgres,miriam=arwdRxt/postgres,"group todos=arw/postgres"}
  (1 row)
  </programlisting>
      The entries shown by <command>\z</command> are interpreted thus:
*** ./doc/src/sgml/ref/psql-ref.sgml.orig	Thu Mar 11 13:20:56 2004
--- ./doc/src/sgml/ref/psql-ref.sgml	Fri Mar 12 09:47:47 2004
***************
*** 995,1004 ****
          <term><literal>\dp</literal> [ <replaceable class="parameter">pattern</replaceable> ]</term>
  	<listitem>
  	<para>
!         Produces a list of all available tables with their
          associated access privileges.
  	If <replaceable class="parameter">pattern</replaceable> is
! 	specified, only tables whose names match the pattern are listed.
  	</para>
  
  	<para>
--- 995,1004 ----
          <term><literal>\dp</literal> [ <replaceable class="parameter">pattern</replaceable> ]</term>
  	<listitem>
  	<para>
!         Produces a list of all available tables, views and sequences with their
          associated access privileges.
  	If <replaceable class="parameter">pattern</replaceable> is
! 	specified, only tables, views and sequences whose names match the pattern are listed.
  	</para>
  
  	<para>
***************
*** 1695,1704 ****
          <term><literal>\z</literal> [ <replaceable class="parameter">pattern</replaceable> ]</term>
          <listitem>
          <para>
!         Produces a list of all available tables with their
          associated access privileges.
  	If a <replaceable class="parameter">pattern</replaceable> is
! 	specified, only tables whose names match the pattern are listed.
  	</para>
  
  	<para>
--- 1695,1704 ----
          <term><literal>\z</literal> [ <replaceable class="parameter">pattern</replaceable> ]</term>
          <listitem>
          <para>
!         Produces a list of all available tables, views and sequences with their
          associated access privileges.
  	If a <replaceable class="parameter">pattern</replaceable> is
! 	specified, only tables,views and sequences whose names match the pattern are listed.
  	</para>
  
  	<para>
*** ./src/bin/psql/describe.c.orig	Tue Mar  9 21:43:23 2004
--- ./src/bin/psql/describe.c	Fri Mar 12 11:30:12 2004
***************
*** 351,361 ****
  	printfPQExpBuffer(&buf,
  					  "SELECT n.nspname as \"%s\",\n"
  					  "  c.relname as \"%s\",\n"
  					  "  c.relacl as \"%s\"\n"
  					  "FROM pg_catalog.pg_class c\n"
  	"     LEFT JOIN pg_catalog.pg_namespace n ON n.oid = c.relnamespace\n"
  					  "WHERE c.relkind IN ('r', 'v', 'S')\n",
! 					  _("Schema"), _("Table"), _("Access privileges"));
  
  	/*
  	 * Unless a schema pattern is specified, we suppress system and temp
--- 351,362 ----
  	printfPQExpBuffer(&buf,
  					  "SELECT n.nspname as \"%s\",\n"
  					  "  c.relname as \"%s\",\n"
+ 					  "  CASE c.relkind WHEN 'r' THEN '%s' WHEN 'v' THEN '%s' WHEN 'S' THEN '%s' END as \"%s\",\n" 
  					  "  c.relacl as \"%s\"\n"
  					  "FROM pg_catalog.pg_class c\n"
  	"     LEFT JOIN pg_catalog.pg_namespace n ON n.oid = c.relnamespace\n"
  					  "WHERE c.relkind IN ('r', 'v', 'S')\n",
! 					  _("Schema"), _("Name"), _("table"), _("view"), _("sequence"), _("Type"), _("Access privileges"));
  
  	/*
  	 * Unless a schema pattern is specified, we suppress system and temp
*** ./src/bin/psql/help.c.orig	Fri Mar 12 11:16:46 2004
--- ./src/bin/psql/help.c	Fri Mar 12 11:17:36 2004
***************
*** 220,230 ****
  	fprintf(output, _("  \\dn [PATTERN]  list schemas\n"));
  	fprintf(output, _("  \\do [NAME]     list operators\n"));
  	fprintf(output, _("  \\dl            list large objects, same as \\lo_list\n"));
! 	fprintf(output, _("  \\dp [PATTERN]  list table access privileges\n"));
  	fprintf(output, _("  \\dT [PATTERN]  list data types (add \"+\" for more detail)\n"));
  	fprintf(output, _("  \\du [PATTERN]  list users\n"));
  	fprintf(output, _("  \\l             list all databases (add \"+\" for more detail)\n"));
! 	fprintf(output, _("  \\z [PATTERN]   list table access privileges (same as \\dp)\n"));
  	fprintf(output, "\n");
  
  	fprintf(output, _("Formatting\n"));
--- 220,230 ----
  	fprintf(output, _("  \\dn [PATTERN]  list schemas\n"));
  	fprintf(output, _("  \\do [NAME]     list operators\n"));
  	fprintf(output, _("  \\dl            list large objects, same as \\lo_list\n"));
! 	fprintf(output, _("  \\dp [PATTERN]  list table, view and sequence access privileges\n"));
  	fprintf(output, _("  \\dT [PATTERN]  list data types (add \"+\" for more detail)\n"));
  	fprintf(output, _("  \\du [PATTERN]  list users\n"));
  	fprintf(output, _("  \\l             list all databases (add \"+\" for more detail)\n"));
! 	fprintf(output, _("  \\z [PATTERN]   list table, view and sequence access privileges (same as \\dp)\n"));
  	fprintf(output, "\n");
  
  	fprintf(output, _("Formatting\n"));
